$(function(){
	// Dialog
	$('#dialog').dialog({
		autoOpen: false,
		width: 600,
		buttons: {
			"Ok": function() { 
				$(this).dialog("close"); 
			}, 
			"Cancel": function() { 
				$(this).dialog("close"); 
			} 
		}
	});
});

var abbr = new Array();
abbr["A1"]="MSS. of the <i>Saddharmapuṇḍarīka </i>kept at the Asiatic Society, Calcutta. Facsimile edtion: SMS.";
abbr["A2"]="MSS. of the <i>Saddharmapuṇḍarīka </i>kept at the Asiatic Society, Calcutta. Facsimile edtion: SMS.";
abbr["A3"]="MSS. of the <i>Saddharmapuṇḍarīka </i>kept at the Asiatic Society, Calcutta. Facsimile edtion: SMS.";
abbr["Am"]="The Lotus Sutra dhāraṇī found in Chéngjiù Miàofãliánhuājīngwáng Yúqié Guānzhì Yíguĭ 成就妙法蓮華經王瑜伽觀智儀軌, translated by Amoghavajra (Bùkōng 不空); Taishō, vol. 19, No. 1000, 598c~599b, 601b~c.";
abbr["B"]="MS. Or. 2204, kept in the British Museum. Facsimile edition: SMS.";
abbr["Bailey 1950"]="Bailey, H.W. 1950 \"Irano-Indica Ⅲ\", <i>Bulletin of the School of Oriental Studies </i>13, pp. 389-409.";
abbr["BHS"]="Buddhist Hybrid Sanskrit";
abbr["BHSD"]="Franklin Edgerton,<i>Buddhist Hybrid Sanskrit Dictionary</i>, New Haven, 1953 (Yale University Press); Repr. Delhi, <sup>2</sup>1970(Motilal Banarsidass).";
abbr["Bongard-Levin 1989"]="Bongard-Levin, Gregory. M. 1989 \"Two fragments of the <i>Saddharmapuṇḍarīka-Sūtra</i>from N. Petrovsky Collection\", in: <i>Prācī-prabhā: Perspectives in Indology: Essays in Honour of Professor B.N. Mukherjee</i>, ed. D. C. Bhattacharyya, Devendra Handa, New Delhi(Harman Pub. House).";
abbr["Bongard-Levin 1985"]="Bongard-Levin, Gregory. M. and M. I. Vorob'ëva-Desjatovskaja 1985 <i>Pamjatniki Indijskoj Pis'mennosti iz Tsentral'noj Azii </i>, Vypusk 1, Moskva(Pamjatniki Pis'mennosti Vostoka LXXIII, 1; Bibliotheca Buddhica 33)(Nauka).";
abbr["Bongard-Levin 1987"]="Bongard-Levin, Gregory. M. and M. I. Vorob'ëva-Desjatovskaja 1987 \"Novye sanskritskie teksty iz Tsentral'noj Azii\", in : <i>Tsentral'naja Azija. Novye Pamjatniki Pis'mennosti i Iskusstva</i>, Moskva (Nauka),pp. 6-18; plates pp. 302-311.";
abbr["Bongard-Levin 1990"]="Bongard-Levin, Gregory. M. and M. I. Vorob'ëva-Desjatovskaja 1990 <i>Pamjatniki Indijskoj Pis'mennosti iz Tsentral'noj Azii</i>, Vypusk 2, Moskva(Pamjatniki Pis'mennosti Vostoka LXXIII, 2; Bibliotheca Buddhica 34)(Nauka).";
abbr["Brough 1975"]="Brough, John 1975 \"Buddhist Chinese Etymological Notes\", in: <i>Bulletin of the School of Oriental Studies </i>38, pp. 581-585.";
abbr["Brough 1996"]="Brough, John 1996 Fohn Brough; Collected Papers, edited by Minoru Hara and J. C. Wright, London(School of Oriental and African Studies, University of London).";
abbr["C1"]="MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Cambridge University Library. Facsimile edition: SMS.";
abbr["C2"]="MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Cambridge University Library. Facsimile edition: SMS.";
abbr["C3"]="MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Cambridge University Library. Facsimile edition: SMS.";
abbr["C4"]="MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Cambridge University Library. Facsimile edition: SMS.";
abbr["C5"]="MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Cambridge University Library. Facsimile edition: SMS.";
abbr["C6"]="MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Cambridge University Library. Facsimile edition: SMS.";
abbr["Coblin 1983"]="Coblin, W. South 1983 <i>A Handbook of Eastern Han Sound Glosses</i>, Hong Hong(The Chinese University Press).";
abbr["Coblin 1991"]="Coblin, W. South 1991 <i>Studies in Old Northwest Chinese</i>, Journal of Chinese Linguistics Monograph Series Number 4, Berkeley.";
abbr["Coblin 1994"]="Coblin, W. South 1994 <i>A Compendium of Phonetics in Northwest Chinese</i>, Journal of Chinese Linguistics Monograph Series Number 7, Berkeley.";
abbr["CY"]="<i>Cíyuán Héddìngběn</i> 辭源 合訂本, Beijing (商務印書館).";
abbr["D1"]="Gilgit MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the National Archives of India(New Delhi), the British Museum (London), and in the possession of Mr. M. A. Shah(Lahore). Facsimile edition and transliteration: Watanabe 1972-1975; Toda 1979.";
abbr["D2"]="Gilgit MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the National Archives of India(New Delhi), the British Museum (London), and in the possession of Mr. M. A. Shah(Lahore). Facsimile edition and transliteration: Watanabe 1972-1975; Toda 1979.";
abbr["D3"]="Gilgit MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the National Archives of India(New Delhi), the British Museum (London), and in the possession of Mr. M. A. Shah(Lahore). Facsimile edition and transliteration: Watanabe 1972-1975; Toda 1979.";
abbr["D4"]="Gilgit MS. of the <i>Saddharmapuṇḍarīka</i> kept in the Sir Pratap Singh Museum. Facsimile edition and transliteratioin: Oskar von Hinüber 1982.";
abbr["D(Toda 1988)"]="Gilgit MS. of the <i>Saddharmapuṇḍarīka</i> in the Tucci Colletion. Facsimile edition: Gnoli 1987; transliteration: Toda 1988a.";
abbr["Dàoshēng"]="<i>Făhuājīngshū</i> 法華經疏 of Zhú Dàoshēng 竺道生, in: <i>Dainippon Zokuzōkyō</i> 大日本續藏經, ed. E. Maeda 前田慧雲, Kyoto 1905-1912(藏經書院), vol. 42/2, pp. 396-412; Reprint: <i>Wàn Xùzàngjīng</i> 卍續藏經, vol. 150, pp. 800-832, Taipei <sup>2</sup>1976, <sup>3</sup>1994(新文豐).";
abbr["DB"]="<i>Dūnhuáng Biànwén Zìyì Tōngshì</i> 敦煌變文字義通釋,Jiǎng Lǐhóng禮鴻, Shanghai 19884, 上海古籍出版社";
abbr["DBJ"]="<i>Dūnhuángbiànwén Fiàozhù</i> 敦煌變文校注, Huáng Zhéng 黃征 and Zhāng Yǒngquán 張涌泉, Beijing 1997( 中華書局).";
abbr["DH"]="Fragmentary manuscripts of Dharmarakṣa's translation of the Lotus Sutra from Dunhuang(敦煌).";
abbr['DK']='Dai Kanwa Jiten 大漢和辞典, ed. Morohashi Tetsuji 諸橋轍次, Tokyo, 1955-60; <sup>2</sup>1966-1968(大修館書店)';
abbr["Dobson"]="Dobson, W. A. C. H. 1974 <i>A Dictionary of the Chinese Particles: with A Prolegomenon in which the Problems of the particles are Considered and They are Classified by the Grammatical Functions,Toronto(University of Toronto Press).</i>";
abbr["Dǒng 1999"]="Dǒng, Zhìqiào 董志翹 1999 <i>Xùngŭ Léigăo</i> 訓詁類稿, Chéngdū 成都(四川大學出版社).";
abbr["Dǒng 2000"]="Dǒng, Zhìqiào 董志翹 2000 <i>Zhōnggŭ Wénxiàn Yŭyàn Lùnji</i> 中古文獻語言論集, Chéngdū 成都(巴蜀書社) (漢語史研究叢書).";
abbr["DWYC"]="<i>Dūnhuāng Wénxiàn Yŭyán Cídiǎn</i>敦煌文獻語言詞典, ed. Jiǎng Lǐhóng 蔣禮鴻, Hángzhōu 1994(杭州大学出版社).";
abbr["F"]="the Sanskrit Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i>, discovered in Farhād-Bēg, romanised in Toda 1981: 229-258.";
abbr["Féng 2000"]="Féng, Chūntián 馮春田 2000 <i>Fìndái Hànyŭ Yŭfǎ Yánjiū</i>近代汉语语法研究，Jinan(済南)(山东教育出版社).";
abbr["FS"]="<i>Fángshān Shíjīng</i> 房山石經, complied by Zhōngguófójiàoxiéhuì 中國佛教協會, Beijing 1986-(中國佛教圖書文物館); <sup>2</sup>2000(華夏出版社).";
abbr["G"]="<i>koryǒ Taejanggyǒng</i> 高麗大藏經(Seou11957-76[東国大學校]). The photographic reprints of the texts, dealt with in this volume, are to be found in vol. 9.";
abbr["Gen 1995"]="Gen, Sachiko 玄 幸子 1995 “‘Kengukyō’ niokeru ‘Yŭ’ no yōhō nitsuite”「『賢愚経』に於ける“與”の用法について───口語史研究への一試論───」, in: <i>Kansai Daigaku Chūgokubungakukai Kiyō</i>関西大学中国文学会紀要16, pp.101-119.";
abbr["GHX"]="<i>Gŭdàihànyŭ Xŭcí Cídiăn </i>古代汉语虚词词典, ed. 中国社会科学院语言研究所古代汉语研究室, Beijing 1999(商务印书馆).";
abbr["GHX(B)"]="<i>Gŭhànyŭ Xŭcí Cídiăn</i> 古汉语虚词词典, Wáng Hăifēn 王海棻, Beijing 1996(北京大学出版社).";
abbr["GHXT"]="<i>Gŭdàihànyŭ Xŭcí Tōngshì</i> 古代汉语虚词通釋, Hé Lèshì 何乐士 <i>et al</i>., Beijing 1985(北京出版社).";
abbr["Guō Zàiyí 1992"]="Guō, Zàiyí 郭在貽 1992 <i>Guō Zàiyí Yŭyánwénxué Lúngǎo</emph> 郭在貽語言文学論稿, Hángzhōu 杭州, 浙江古籍出版社 </i>";
abbr["Gurevich 1974"]="Gurevich, Isabella S. 1974 <i>Ocberk Grammatiki Kitajskogo Fazyka III-V vv</i>. (Pa Perevodam Na Kitajckil Jazyk Proizvedenij Buddhijskoj Loteratury), Mokva(Nauka)";
abbr["GWCH"]="<i>Gŭshŭ Wèishì Cíyŭ Huìshì</i> 古書未釋詞語薈釋, ed. Xī Zhèngmín 郗政民 <i>et al</i>. Nánchāng(南昌)1991 (江西教育出版社).";
abbr["GXC"]="<i>Gŭhànyŭ Xŭcí Cídiǎn</i> 古汉语虚词词典, ed. Wáng Zhèngbái 王政白, Héféi(合肥) 1986(黃山书社).";
abbr["GXC(B)"]='Gŭhànyŭ Xūcí Cídiăn 古汉语虚词词典, ed. Wáng Hăifēn et al.(王海棻等), Beijing 1996 (北京大学出版社)';
abbr['GY']='<i>Gŭhànyŭ Yŭfă jí qí Fāzhăn</i>古汉语语法及其发展, ed. Yáng Bójùn 杨伯峻 and Hé Lèshì 何乐士, Beijing 1992 (语文出版社).';
abbr['H1']='Readings of the Central Asian Manuscript fragments of the <i>Saddharmapuṇḍarīkasūtra</i>, romanized in Toda 1981: 261-320 (cf. Krsh. 18)';
abbr['H2']='Readings of the Central Asian Manuscript fragments of the <i>Saddharmapuṇḍarīkasūtra</i>, romanized in Toda 1981: 261-320 (cf. Krsh. 18)';
abbr['H3']='Readings of the Central Asian Manuscript fragments of the <i>Saddharmapuṇḍarīkasūtra</i>, romanized in Toda 1981: 261-320 (cf. Krsh. 18)';
abbr['H4']='Readings of the Central Asian Manuscript fragments of the <i>Saddharmapuṇḍarīkasūtra</i>, romanized in Toda 1981: 261-320 (cf. Krsh. 18)';
abbr['H5']='Readings of the Central Asian Manuscript fragments of the <i>Saddharmapuṇḍarīkasūtra</i>, romanized in Toda 1981: 261-320 (cf. Krsh. 18)';
abbr['H6']='Readings of the Central Asian Manuscript fragments of the <i>Saddharmapuṇḍarīkasūtra</i>, romanized in Toda 1981: 261-320 (cf. Krsh. 18)';
abbr['H7']='Readings of the Central Asian Manuscript fragments of the <i>Saddharmapuṇḍarīkasūtra</i>, romanized in Toda 1981: 261-320 (cf. Krsh. 18)';
abbr['H(1988)']='Toda 1988';
abbr['HD']='Hànyŭ Dàcídiǎn 漢語大詞典, 13 vols. Shanghai 1986-1994(漢語大詞典出版社).';
abbr['HDZ']='<i>Hànyŭ Dàzìdiǎn Suōyìnběn</i> 漢語大字典 縮印本, Chéngdū 成都, 1993(四川辭書出版社、湖北辭書出版社).';
abbr['Hurvitz']='Leon Hurvitz, Scripture of the Lotus Blossom of the Dharm, translated from the Chinese of Kumārajīva,New York 1976(Columbia  University Press).';
abbr['IQ']='Yīqièjīngyīnyì 一切經音義 of Huìlín 慧琳, in: Taishō, vol. 54, No. 2128.';
abbr['IQ(Xy)']='Yīqièjīngyīnyì 一切經音義 of Xuányìng 玄應, in: Koryŏ Taejanggyŏng 高麗大藏經, vol. 32, No. 1063.';
abbr['Iwamoto 1978']='Iwamoto, Yutaka 岩本裕 1978 Bukkyō Setsuwa no Denshō to Shinkō 佛教說話の伝承と信仰, <i>Bukkyō Setsuwa Kenkyū</i>Ⅲ 佛教說話研究 第三卷, Tokyo(開明書院).';
abbr['J']='The Jin Edition (金藏廣勝寺本 = 趙城金藏). The photographic reprints are to be found in Zhōnghuá Dàzàngjīng 中華大藏經(Beijing 1984-[中華書局]). The photographic reprints of the texts, dealt with in this volume, are to be found in vol. 15(1985).';
abbr['Jg']='The Lotus Sutra dhāraṇī found in Zhŏngzhŏngzázhòujīng 種種雜呪經, translated by Jñānagupta during the years of Wúdì(武帝), Northern Zhou dynasty(北周代) (A.D. 561-578); Taishō, vol. 21, No. 1337, 637c~638b.';
abbr['Jiāng 1988']='Jiāng, Lánshēng 江蓝生 1988 <i>Wèijìnnánběicháo Xiǎoshuōcíyŭ Huìshì</i> 魏晉南北朝小説詞語匯釋, Beijing (語文出版社).';
abbr['Jiāng 2000']='Jiāng, Lánshēng 江蓝生 2000 <i>Fìndai Hànyŭ Tànyuàn</i> 近代汉语探源, Beijing(商务印书馆).';
abbr['Jiǎng Shàoyú 1990']='Jiăng, Shàoyú 蒋绍愚 1990 <i>Tángshī Yŭyányánjiū</i> 唐诗语言研究, Zhèngzhōu(郑州)(中州古籍出版社).';
abbr['Jì Xiànlín 1982a']='Jī, Xiànlin 季羨林 1982a <i>Yìndù Gŭdàiyŭyán Lŭnjí</i> 印度古代语言论集, Beijing(中国社会科學出版社).';
abbr['Jì Xiànlín 1982b']='Jī, Xiànlin 季羨林 1982b <i>Zhōng Yìn Wénbuà Guānxìshĭ Lùnwénjí</i> 中印文化关系論文集, Beijing(三联书店).';
abbr['Jì Xiànlín 1998']='Jī, Xiànlin 季羨林 1998 <i>Fì Xiànlìn Wénjì</i> 季羨林文集, XI, Tŭbuŏluówén Mílè Huìjiàn Fì Yìshì 吐火罗文《弥勒会见记》译釋, Náchāng 南昌(江西教育出版社).';
abbr['Jízàng']='Făhuāyìshū 法華義疏 of Jízàng 吉藏, in: Taishō, vol. 34, No. 1721.';
abbr['K']='Kern, H. and Nanjio, B. 1908-12 <i>Saddharmapuṇḍarīka</i>, St. Petersburg (Bibliotheca Buddhica Ｘ)';
abbr["K’"]='MS. of the <i>Saddharmapuṇḍarīka</i> kept in the Tōyō Bunko(東洋文庫), Tokyo(brought from Tibet by Rev. E. Kawaguchi 河口慧海). Facsimile edition: SMS; transliteration: Toda 1980-85.';
abbr['Karashima 1992']='Karashima, Seishi 辛嶋静志 1992 <i>The Textual Study of the Chinese Versions of the Saddharmapuṇḍarīkasūtra–––– in the light of the Sanskrit and Tibetan Versions</i>, Tokyo(山喜房佛書林).';
abbr['Karashima 1993']='Karashima, Seishi 辛嶋静志 1993 “Hokekyō ni okeru jō (yāna) to chie (jñāna) –– Daijō Bukkyō ni okeru yāna no gainen no kigen ni tuite” 法華経における乗(yāna)と智慧(jñāna)–––大乗仏教における yānaの概念の起源について, in : Taga Ryūgen 田賀龍彦 ed., <i>Hokekyō no juyō to tenkai</i> 法華経の受容と展開, Kyoto, pp.137-197.';
abbr['Karashima 1997']='Karashima, Seishi 辛嶋静志 1997 “Hànyì Fódiǎn de Yŭyán Yánjiū 漢譯佛典的語言研究 附篇：佛典漢語三題───關于語氣詞“婆”、關于貝多、關于罽賓 in: <i>SYY</i>5(1998)';
abbr['Karashima 1998a']="Karashima, Seishi 辛嶋静志 1998a <i>A Glossary of Dharmarakṣa's Translation of the Lotus Sutra</i> 正法華經詞典, Tokyo(The International Research Institute for Advanced Buddhology at Soka University)(<i>Bibliotheca Philologica Buddhica </i>I).";
abbr['Karashima 1998b']='Karashima, Seishi 辛嶋静志 1998b "Hànyì Fódiăn de Yŭyán Yánjiū (2) 漢語佛典的語言研究 (二) , in: <i>SYY</i>5(1998), pp. 47-57.';
abbr['Karashima 1999']='Karashima, Seishi 辛嶋静志<br> 1999 Hokekyō no Bunkengakuteki Kenkyū (2) " 法華経の文献学的研究 (二) —観音Avalokitasvaraの語義解釈, in: <i>Annual Report of the International Research Institute for Advanced Buddhology</i>, Vol. 2(1999), pp. 39-66.';
abbr['Kato']='<i>The Threefold Lotus Sutra</i>, translated by B. Kato, Y. Tamura and K. Miyasaka with revisions by W.E.Soothill, Wilhelm Schiffer and Pier P. Del Campana, Tokyo 1975(Kosei Publishing Co.).';
abbr['Krsh']='Karashima 1992';
abbr['Krsh(1998)']='Karashima 1998a';
abbr['KS']='the <i>Kasuga</i> Edition of the <i>Miàofăliănbuājīng</i>, printed in 1263, and now kept in <i>Tōshōdai-ji</i>in Nara. Facsimile edition: Kabutogi 1978.';
abbr["Kuījī"]='Miàofãliánhuājīng Xuánzàn 妙法蓮華經玄贊 of Kuījī 窺基, in: Taishō, vol. 34, No. 1723';
abbr['L']='<i>Miàofǎliánhuājīng</i> 妙法蓮華經, translated by Kumārajīva, <i>Taishō</i>, vol.9, No.262, pp.1-62';
abbr['Lǐ Wéiqí 1993']='Lĭ, Wéiqí 李维琦 1993 Fójīng shìcí 佛経释词, Changsha 长沙(岳麓书社).';
abbr['Lǐ Wéiqí 1999']='Lĭ, Wéiqí 李维琦 1999 Fójīng xùshìcí 佛経续释词, Changsha 长沙(岳麓书社).';
abbr['Liú Jiān et al. 1992']='Liú, Jiān 刘坚 <emph rend="italic">et al</emph>. 1992 <i>Fìndài Hànyŭ Xūcĭ Yánjiū </i>近代汉语虚词研究, by Liú, Jiān 刘坚, Jiāng Lánshēng 江蓝生 <i>et al</i>., Beijing(语文出文出版社).';
abbr['Liŭ 1992']='Liŭ, Shìzhèn 柳士鎮<br/>1992 Wèijìnnánbĕicháo Lìshǐ Yŭfă 魏晋南北朝历史语法, Nanjing 南京 (南京大学出版社)';
abbr['Lü']='<i>Sanskrit Lotus Sutra Fragments from the Lüshun Museum Collection, Facsimile Edition and Romanized Text</i>, ed. by Jiang Zhongxin, Dalian and Tokyo 1997(Lüshun Museum and Soka Gakkai)(蔣忠新編『旅順博物館藏梵文法華經殘片影印版及羅馬字版』，旅順博物館‧創価学会, 1997)';
abbr['Lǚ 1984']='Lǚ, Shuxiang 吕叔湘<br>1984 Hànyǚ Yǚfa Lùnwénjí 汉语语法论文集（增订本）,  Beijing, 商务印书馆.';
abbr['Má 1998']='Má Tiānxiáng 麻天祥<br>1998 “Chán kăo” 禪考, Wénshĭ 文史 45, pp. 225-233.';
abbr['Matsuo 1988']='Matsuo, Yoshiki 松尾良樹<br>1988 "Kandai Yakkyō to Kōgo" 漢代訳経と口語───訳経による口語史‧初探, in: <i>Zenbunka kenkyūsho Kiyō</i> 禅文化研究所紀要, vol. 15, pp. 25-57.';
abbr['m.c.']='metri causa';
abbr['Mizutani 1954 = 1994']='Mizutani, Shinjō 水谷真成<br> 1954 Ha\' zi Kunko Shōkō"「頗」字訓詁小考, in: <i>Ōtani Gakuhō</i> 大谷学報34/3, pp. 29-36 = Mizutani 1994: 42-50';
abbr['Mizutani 1961 = 1994']='Mizutani, Shinjō 水谷真成<br> 1961 “Kanyaku Butten ni okeru tokuinaru Taigū-hyōgen ni tsuite—Yakkyō-goi Reisyaku no ichi” 漢譯佛典における特異なる待遇表現について——譯經語彙零釋之———, in: <i>Tsukamoto Hakase Shōju Kinen Bukkyō Shigaku Ronshū</i> 《塚本博士 頌壽記念佛教史學論集》, Kyoto 1961, pp. 746-759(=Mizutani 1994: 163-176).';
abbr['Mizutani 1994']='Mizutani, Shinjō 水谷真成<br> 1994 <i>Chūgokugoshi Kenkyū——Chūgokugo-gaku to Indo-gaku toni Setten</i>《中國語史研究——中國語學とインド學との接點——》, Tokyo(三省堂).';
abbr['Morino 1975']='Morino, Sigeo 森野繁夫<br> 1975 “Rikucho Kango no Gimonbun” (On the interrogative expressions of the Chinese of the Six-Dynasties)六朝漢語の疑問文, in: <i>Hiroshima-Daigaku Bungakubu Kiyo</i> 広島大学文学部紀要, vol. 34, pp.211-229.';
abbr['MS']='manuscript';
abbr['MSS']='manuscripts';
abbr['N1']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the National Archives of Nepal, Kathmandu. Facsimile edition: SMS.';
abbr['N2']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the National Archives of Nepal, Kathmandu. Facsimile edition: SMS.';
abbr['N3']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the National Archives of Nepal, Kathmandu. Facsimile edition: SMS.';
abbr['Nishitani 1958']='Nishitani, Tōshichirō 西谷登七郎<br/>1958 "Rikuchō Yakkyō Gohō no Ittan" 六朝訳経語法の一端----增壱阿含経を中心して, in: Hiroshima-Daigaku Bungakubu Kiyo 広島大学文学部紀要, vol. 14, pp. 74-98.';
abbr['O']='the so-called Kashgar manuscript of the <i>Saddharmapuṇḍarīka</i>, actually found in khādaliq but purchased in Kashgar. Facsimile edition: Lokesh Candra 1976;  transliteration: Toda 1981: 3-225.';
abbr['Ōta 1958']='Ōta, Tatsuo 太田辰夫<br> 1958 <i>Chūgokugo Rekishi Bunpō</i> 中国語歷史文法, Tokyo(江南書院).';
abbr['Ōta 1987a']='Ōta, Tatsuo 太田辰夫<br> 1987a “Zhōnggŭ (Wèijìnnánběicháo) Hànyŭde Tèshūyíwèn Xíngshì” 中古(魏晉南北朝)漢語的特殊疑問形式, <i>Zhōngguóyŭwén</i> 中国語文201, pp.404-408.';
abbr['Ōta 1988']='Ōta, Tatsuo 太田辰夫<br/>1988 Chūgoku Goshi Tsūko 中国語史通考, Tokyo (白帝社).';
abbr['Ōta 1991']='Ōta, Tatsuo 太田辰夫<br> 1991 <i>Hànyŭshǐtōngkǎo</i> 漢語史通考, translated by 江藍生, 白維国, Chóngqìng (重慶出版社). (A Chinese translation of Ōta 1988)';
abbr['P1']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Bibliothèque Nationale, Paris. Facsimile edition: SMS.';
abbr['P2']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Bibliothèque Nationale, Paris. Facsimile edition: SMS.';
abbr['P3']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Bibliothèque Nationale, Paris. Facsimile edition: SMS.';
abbr['Pk']='MS. of the <i>Saddharmapuṇḍarīka</i> formerly kept in the Library of the Cultural Palace of the Nationalities(民族文化宮图书館), Beijing. A photographic edition: Mínzúwénhuàgōng 1984; transliteration: Jiang 1988; Toda 1989-1991.';
abbr['ps-L']="ps(eudo)-L: the later interpolated parts in Kumārajīva's translition of the Lotus Sutra. See p. 393 in this volume.";
abbr['QYS']='a reconstruction of the Qieyun 切韻 System. In this volume, the Qieyun System forms, reconstructed by Karlgren(1954) and revised by F. K. Li (1971: 4-7; 1974-5: 224-227), are used. The following further notational changes, made by Coblin (1983: 41; 1991: 11; 1994), are also adopted here. (1) .- will be written as Ã-; (2) Ï will be written as e; (3) Divisions III and IV chongniu 重紐 finals will be redundantly identified with superscripts “3” and “4”.';
abbr['QYS']='a reconstruction of the <i>Qieyun</i> 切韻 System. In this volume, the <i>Qieyun</i> System forms, reconstructed by Karlgren(1954) and revised by F. K. Li (1971: 4-7; 1974-5: 224-227), are used. The following further notational changes, made by Coblin (1983: 41; 1991: 11; 1994), are also adopted here. (1) .- will be written as Ã-; (2) Ï will be written as e; (3) Divisions III and IV <i>chongniu</i> 重紐 finals will be redundantly identified with superscripts “3” and “4”.';
abbr['R1']="Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob 'ëva-Desjatovskaja 1985. Cf. Krsh.18";
abbr['R2']="Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob 'ëva-Desjatovskaja 1985. Cf. Krsh.18";
abbr['R3']="Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob 'ëva-Desjatovskaja 1985. Cf. Krsh.18";
abbr['R4']="Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob 'ëva-Desjatovskaja 1985. Cf. Krsh.18";
abbr['R5']="Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob 'ëva-Desjatovskaja 1985. Cf. Krsh.18";
abbr['R6']="Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob 'ëva-Desjatovskaja 1985. Cf. Krsh.18";
abbr['R7']="Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob 'ëva-Desjatovskaja 1985. Cf. Krsh.18";
abbr['R(1987)']='Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob \'ëva-Desjatovskaja 1987, pp. 16-17.';
abbr['R(1990)']='Fragmentary Manuscripts of the <i>Saddharmapuṇḍarīkasūtra</i> from the Petrovsky Collection, in: Bongard-Levin / Vorob \'ëva-Desjatovskaja 1990';
abbr['Satō 1985']='Satō, Toshiyuki 佐藤利行<br> 1985 “Ukemikei ‘wéi .... suǒ’ shiki shiron───Rikuchōki no siryō wo humaete” 受身形「為─所─」式試論───六朝期の資料をふまえて───, in: <i>Huruta Kyōju Taikankinen Chūgoku bungaku gogaku ronsyū</i> 古田教授退官記念 中国文学語学論集, Tokyo (東方書店), pp.627-649.';
abbr['Shimura 1984']='Shimura, Ryōji 志村良治<ul><li>1984 Chūgoku Chūsei Gohōshi Kenkyū 中国中世語法史研究, Tokyo (三冬社).</li><li>1995 Zhōngguó Zhōngshì Yŭfăshǐ Yánjiū 中国中世语法史研究, translated by Jiāng Lánshēng 江蓝生 and Bái Wéiguó, Beijing(中华书局). (A Chinese translation of Shuimura 1984).</li></ul>';
abbr['SCQ']='Zhāng Xiāng (張相) 1979<sup>3</sup>.';
abbr['SQZ']='Lín Zhàodé 林昭德 1986';
abbr['STF']='<i>SàtánFēntuólìJīng</i> 薩曇芬陀利經. Anonymous, possibly translated in the <i>Xījìn</i>(西晉) Period, in: <i>Taishō</i>, vol.9, No.265, pp.197-98.';
abbr['SYL']='Wáng Yīng 王瑛 1986<sup>2</sup>';
abbr['SYYC']='<i>Sòng yuán cídiăn</> 宋元语言词典 ed. Lóng Qián ān 龙潜庵, Shanghai, 1985 (上海辞书出版社).';
abbr['T1']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T2']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T3']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T4']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T5']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T6']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T7']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T8']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['T9']='MSS. of the <i>Saddharmapuṇḍarīka</i> kept in the Library of the University of Tokyo. Facsimile edition: SMS.';
abbr['Ten']='Tiānpĭn Miàofãliánhuājīng 添品妙法蓮華經, translated by Jñānagupta and Dharmagrpts, A. D. 601 or 602, in: Taishō, vol. 9, No. 264, pp. 134-196.';
abbr['Toda 1988']='Toda, Hirofumi 戸田宏文<br>1988 “Central Asian Fragments of the Hoernle Collection, Romanized Text”, in: <i>TDKR</i> 15, pp. 20-23. Photographs of the fragments: Matsuda 1988.';
abbr['TS']='Wáng Yīng 1990';
abbr['Tsukamoto 1978']='Tsukamoto, Keishō 塚本啟祥<br> 1978 Hokekyō Daraniju no Oboegaki 法華経陀羅尼呪の覺え書，in: <i>Hokke-Bunka Kenkyū</i> 法華文化研究 4, pp. 1-35.';
abbr['TWYC']='<i>Táng Wŭdài Yŭyán Cídiăn</i> 唐五代语言词典ed. Liú Jiān 刘坚, Jiāng Lánshēng 江蓝生, Shanghai, 1997(上海教育出版社).';
abbr['Tyomkin 1995']='Tyomkin, E.N.<br/>1995 "Fragments of the \'Saddharmapuṇḍarīka-sūtra\'  in the I. P. Lavrov Manuscript collection of the St. Petersburg Branch of the Institute of Oriental Studies", in: <i>MO</i>, 1.2(1995), pp. 9-15.';
abbr['Tyomkin 1996']='Tyomkin, E.N.<br/>1996 "Unknown Sanskrit fragments from Central Asia", in: <i>MO</i>,2.4(1996), pp. 3-22.';
abbr['Ushijima']='Ushijima, Tokuji 牛島徳次<br>1971 <i>Kango bumpōron (Chūkohen)</i> 漢語文法論(中古編), Tokyo (大修館書店).';
abbr['V-D(1995)']='Vorobyova-Desyatovskaya 1995';
abbr['v.l.']='varia lectio (variant reading)';
abbr['Wáng Jìrú 1999']='Wāng, Jìrú 王継如<br> 1999 <i>Dūnbuáng Wènxué Cónggăo</i> 敦煌问学丛稿, Zhōngguó Dūnbuángxué Băinián Wénkū Biéjuàn 中国敦煌学百年文库．別卷, Lanzhou 兰州(甘肃文化出版社).';
abbr['Wāng Wéihuī 1997']='Wāng, Wéihuī 汪维辉<br> 1997 讀《中國中世紀語法史研究》札記, in: SYY 4(1997), pp. 104-120.';
abbr['Wáng Xiǎoxīn 1998']='Wáng Xiăoxīn 王小莘<br> 《〈顏式家训〉集解》注释商榷, in: Yŭyuànxiéyīng 语苑擷英, 庆祝唐作藩教授七十寿辰学术论文集, ed. 《语苑擷英》編辑組, Beijing 1998(北京语言文化大学出版社), pp. 265-272.';
abbr['Wáng Yúnlù 1997']='Wáng Yúnlù 王雲路<br/>1997 Hàn Wèi Liùcháo Shīgē Yŭyán Lùngăo 漢魏六朝詩歌語言論稿, Xian 西安 (陝西人民教育出版社).';
abbr['Wáng Yúnlù 1999']='Wáng, Yúnlù 王雲路<br> 1999 <i>Liùcháo Shīgē Yŭcí Yánjiū</i> 六朝詩歌語詞研究, Harbin 哈爾濱(黑龍江教育出版社).';
abbr['WCH']='Jiāng Lánshēng(江藍生)1988.';
abbr['Wi']='Fragmentary Manuscript of the <i>Saddharmapuṇḍarīkasūtra</i> from Khādaliq. Transliteration: Wille 2000: 23-130.';
abbr['Wi(Turf.)']='Fragmentary Manuscript ot the <i>Saddharmapuṇḍarīkasūtra</i> in the Turfan Collection(Berlin). Transliteration: Wille 2000: 131-145.';
abbr['Wille 1997']='Wille, Klaus<br> 1997 "Die Fragmente Or. 9610 in der British Library" in: <i>Bauddhavidyāsudhākaraḥ, Studies in Honour of Heinz Becbert on the Occasion of His 65th Birthday</i>, ed. Petra Kieffer-Pülz and Jens-Uwe Hartmann, Swisttal-Odendorf(Indica et Tibetica, 30), pp. 717-728.';
abbr['Wille 1998']='Wille, Klaus<br> 1998 "The rediscovered <i>Saddharmapuṇḍarīkasūtr</i> fragment Khad. 016 in the Stein collection(London)", in: <i>Facets of Indian Culture, Gustav Roth Felicitation Volume,published on the Occasion of his 82nd Birthday</i>, ed. C. P. Sinha et al.,Patna(Bihar Puravid Parishad), pp. 473-479.';
abbr['Wille 1998a']='Wille, Klaus<br> 1998a "Weitere Kleine <i>Saddharmapuṇḍarīkasūtra-</i>Fragmente aus der Sammlung Hoernle(London)", in: <i>Sūryacandrāya, Essays in Honour of Akira Yuyama on the Occasion of His 65th Birthday</i>, ed. Paul Harrison and Gregory Schopen, Swisttal-Odendorf(Indica et Tibetica Bd. 35), pp. 241-256.';
abbr['Wille 2000']='Wille, Klaus<br> 2000 <i>Fragments of  a Manuscript of the Saddharmapuṇḍarīkasūtra from Khādaliq</i>, Tokyo(Soka Gakkai)(Lotus Sutra Manuscript Series 3).';
abbr['WNCL']='<i>Wèijìnnánběicháo Cìyŭ Lìshì</i> 魏晉南北朝詞語例釋, Cài Jìnghào 蔡鏡浩, 1990(江蘇古籍出版社).';
abbr['Wú Fúxiáng 1996']='Wú, Fúxáng 吳福祥<br> 1996 <i>Dūnbuángbiànwén Yŭfă Yánjiū</i> 敦煌变文语法研究, Chángshā长沙(岳麓书社).';
abbr['Wú Jīnhuá 1994']='Wú, Jīnhuá 呉金華<br> 1994 <i>Shìshuōxīngŭ Kăoshì</i> 世說新語考釋, Héféi 合肥(安徽教育出版社).';
abbr['Wú Jīnhuá 1995']='Wú, Jīnhuá 呉金華<br> 1995 <i>Gŭwénxiàn Yánjiū Cónggǎo</i> 古文献研究叢稿, Nánjīng 南京 (江蘇教育出版社).';
abbr['Xz']='The Lotus Sutra dhāraṇī, transcribed by Xuánzàng 玄奘 (A.D. 602-664), found in IQ(Xy), 90b-91b.';
abbr['Yáng Bójùn 1984']='Yang Bojun  杨伯峻<br> 1984 <i>Yang Bojun Xueshu Lunwenji</i> 杨伯峻学术论文集, Changsha 长沙: 岳麓书社.';
abbr['Yáng Róngxiáng 1998']='Yáng, Róngxiáng 杨荣祥<br>1998 “总括副詞‘都’的历史演变” in: <i>Bĕidà Zhōngwén Yánjiū</emph>北大中文研究, vol. 1, Beijing 1998(北京大学出版社), pp. 310-332.';
abbr['Yú 1993']='Yú, Lǐmíng 兪理明<br> 1993 <i>Fójīng Wénxiàn Yŭyán</i> 佛經文献語言, Chéngdū 成都 (巴蜀書社).';
abbr['Yuyama 1989']='Yuyama, Akira 湯山明<br> 1989 "Gyaku-Lokayada" 逆路伽耶陀, in: <i>Fujita Kōtatsu Hakushi Kanreki Kinen Ronshū—— Indo Tetsugaku to Bukkō</i> 藤田宏達博士還曆記念論集『インド 哲学と仏教』, Kyoto, pp. 355-372.';
abbr['Z']='<i>Zhengfahua Jing</i> 正法華經, translated by Dharmarakṣa, in: <i>Taishō</i>, vol. 9, No.263, pp.63-134.';
abbr['Zhìyǐ']='Miàofãliánhuājīng Wénjù 妙法蓮華經文句 of Zhìyǐ 智顗, in: Taishō, vol. 34, No. 1718.';
abbr['Zhāng Wànqǐ 1997']='Zhāng, Wánqĭ 张万起<br> 1997 "《世说新语》中的副詞‘亦’”, in: <i>Qìngzhù Zhōngguó Shèbuìkēxuéyuán Yŭyán Yánjiūsuŏ Fiànsuŏ 45 Zhōunián Xuéshù Lùnwénjí</i> 《庆祝中国社会科学语言研究所建所45周年学术论文集》, ed. 中国语文编辑部, Beijing 1997(商务印书馆), pp. 108-115.';
abbr['Zhāng Yǒngyán 1992']='Zhāng, Yǒngyán 張永言<br> 1992 <i>Yŭwénxué Lúnjí</i> 語文学論集, Beijing 1992 (語文出版社).';
abbr['ZHD']='<i>Zhōnggŭ Hànyŭ Dúbĕn</i> 中古汉语读本, Wáng Yúnlù(王云路) and Fāng Yīxīn(方一新), 長春 1993(吉林教育出版社).';
abbr['Zhu']='Zhū Qìngzhī 朱慶之 1992';
abbr['Zhū Qìngzhī 1998']='Zhū, Qìngzhī 朱慶之<br> 1998 "佛教語言的‘時’和‘時時’”, in: <i>Hànyŭshĭ Yánjiū Fíkān</i> 漢語史研究集刊, Chéngdū 成都(巴蜀書社), No. 1, vol. 1, pp. 166-175.';
abbr['ZHYL']='<i>Zhōnggŭ Hànyŭ Yŭcí Lìshì</i> 中古漢語語詞例釋, Wáng Yúnlù 王雲路 and Fāng Yīxīn 方一新, Chángchūn(長春) 1992 (吉林教育出版社).';
abbr['Zürcher 1977']='Zürcher, Erik<br> 1977 “Late Han Vernacular Elements in the Earliest Buddhist Translations”, <i>Journal of the Chinese Language Teachers Association</i>, XII, no.3, 1977, 177-203.';
abbr['ZXYL']='<i>Zhōnggŭ Xūcí Yŭfǎ Lìshì</i> 中古虛詞語法例釋, Dǒng Zhìqiáo 董志翹 and Cài Jìnghào 蔡鏡浩, Chángchūn(長春) 1994 (吉林教育出版社).';
abbr['ZYCS']='<i>Zhōngyī Císhì</i> 中医词釋, Xú yuánzhēn 徐元贞 <i>et al.</i>, Hénán, 1983(河南科学技术出版社).';

function open_popup(s) {
	if (s!='v.l.' && s!='m.c.' && s.substr(s.length-1,1)=='.') {
		s=s.substr(0,s.length-1)
	}
	var text=abbr[s];
	$('#dialog').html("<p>"+s+"</p><p>"+text+"</p>");
	$('#dialog').dialog('open');
	return false;
}